- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions

# QPrintPreviewDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qprintpreviewdialog.h.

`#include <qprintpreviewdialog.h>`

Inheritance diagram for QPrintPreviewDialog:
[legend]

List of all members.

## Signals
void | paintRequested (QPrinter *printer)
## Public Member Functions
| QPrintPreviewDialog (QWidget *parent=0, Qt::WindowFlags flags=0)
| QPrintPreviewDialog (QPrinter *printer, QWidget *parent=0, Qt::WindowFlags flags=0)
| ~QPrintPreviewDialog ()
void | open (QObject *receiver, const char *member)
QPrinter * | printer ()
void | setVisible (bool visible)
void | done (int result)

## Constructor & Destructor Documentation

QPrintPreviewDialog | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[explicit]`

QPrintPreviewDialog | ( | QPrinter * | printer,
|  | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[explicit]`

~QPrintPreviewDialog | ( |  | ) |

## Member Function Documentation

void open | ( | QObject * | receiver,
|  | const char * | member
| ) |  |

Search for all occurrences

QPrinter* printer | ( |  | ) |

Search for all occurrences

void setVisible | ( | bool | visible | ) | `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

void done | ( | int | result | ) | `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

void paintRequested | ( | QPrinter * | printer | ) | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qprintpreviewdialog.h

QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog
QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog QPrintPreviewDialog